#!/bin/sh


load_deploy_key() {
  eval `ssh-agent`
  ssh-keyscan "$PLUGIN_HOST" > "$HOME/.ssh/known_hosts"
  echo "$PLUGIN_DEPLOY_KEY" | ssh-add -
}

run_stack_deploy() {
  PLUGIN_COMPOSE=${PLUGIN_COMPOSE:-compose.yml}

  echo "--- start docker info ---"
  docker version
  echo "--- end docker info ---"

  docker -H "$PLUGIN_HOST" stack deploy -c "$PLUGIN_COMPOSE" "$PLUGIN_STACK"
}

run_plugin() {
  echo "--- start deployment ---"
  load_deploy_key
  run_stack_deploy
  echo "--- end deployment ---"
}

run_plugin
exit 0
